Backend API
Create or update a social connection configuration
cURL
curl --request PUT \ --url https://api.wacht.dev/settings/social-connections \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "provider": "x_oauth", "enabled": true, "user_defined_scopes": [ "<string>" ], "credentials": { "client_id": "<string>", "client_secret": "<string>", "redirect_uri": "<string>", "scopes": [ "<string>" ] } } '
{ "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "provider": "x_oauth", "enabled": true, "credentials": { "client_id": "<string>", "client_secret": "<string>", "redirect_uri": "<string>", "scopes": [ "<string>" ] } }
API key authentication (format: Bearer {api_key})
x_oauth
github_oauth
gitlab_oauth
google_oauth
facebook_oauth
microsoft_oauth
linkedin_oauth
discord_oauth
apple_oauth
Show child attributes
Social connection updated
Was this page helpful?